Re: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14 - Build # 10 - Still Failing!

2020-04-17 Thread Ben Cooksley
On Fri, Apr 17, 2020 at 8:28 AM Nicolas Fella  wrote:
>
> Hi,

Hi Nicolas,

>
>
>
> this looks like a simple prison build failure to me. However, I cannot 
> reprocuce this with the binary factory container and the current Prison 
> Android CI builds is blue. There is a single red Android build in the Prison 
> CI history 
> (https://build.kde.org/job/Frameworks/job/prison/job/kf5-qt5%20AndroidQt5.14/5/)
>  with what appears to be the same error message. Not sure how to explain that 
> though.
>

Thanks for taking a look.

I've now done a rebuild of the image and after that the Dependency
Build ran through fine - so all sorted now!

>
>
> Nico

Cheers,
Ben

>
>
>
>
>
> On Donnerstag, 16. April 2020 21:10:44 CEST Ben Cooksley wrote:
>
> > On Fri, Apr 17, 2020 at 6:37 AM Johan Ouwerkerk  
> > wrote:
>
> > > On Thu, Apr 16, 2020 at 10:51 AM Ben Cooksley  wrote:
>
> > >> Hi all,
>
> > >>
>
> > >> Does anyone know why the below would have suddenly started failing a
>
> > >> little while back?
>
> > >>
>
> > >> Thanks,
>
> > >> Ben
>
> > >
>
> > > Based on the error message I would expect this to be related to the effort
>
> > > to fix Android pkgs not being generated for both 32bit and 64bit ARM.
>
> > I see. Do we have a timeline for this being fixed?
>
> >
>
> > > Regards,
>
> > >
>
> > > - Johan
>
> >
>
> > Cheers,
>
> > Ben
>
>
>
>


Re: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14 - Build # 10 - Still Failing!

2020-04-16 Thread Nicolas Fella
Hi,

this looks like a simple prison build failure to me. However, I cannot 
reprocuce this with
the binary factory container and the current Prison Android CI builds is blue. 
There is a
single red Android build in the Prison CI history 
(https://build.kde.org/job/Frameworks/
job/prison/job/kf5-qt5%20AndroidQt5.14/5/[1]) with what appears to be the same
error message. Not sure how to explain that though.

Nico


On Donnerstag, 16. April 2020 21:10:44 CEST Ben Cooksley wrote:
> On Fri, Apr 17, 2020 at 6:37 AM Johan Ouwerkerk  
> wrote:
> > On Thu, Apr 16, 2020 at 10:51 AM Ben Cooksley  wrote:
> >> Hi all,
> >>
> >> Does anyone know why the below would have suddenly started failing a
> >> little while back?
> >>
> >> Thanks,
> >> Ben
> >
> > Based on the error message I would expect this to be related to the effort
> > to fix Android pkgs not being generated for both 32bit and 64bit ARM.
> I see. Do we have a timeline for this being fixed?
>
> > Regards,
> >
> > - Johan
>
> Cheers,
> Ben




[1] 
https://build.kde.org/job/Frameworks/job/prison/job/kf5-qt5%20AndroidQt5.14/5/


Re: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14 - Build # 10 - Still Failing!

2020-04-16 Thread Ben Cooksley
On Fri, Apr 17, 2020 at 6:37 AM Johan Ouwerkerk  wrote:
>
>
> On Thu, Apr 16, 2020 at 10:51 AM Ben Cooksley  wrote:
>>
>> Hi all,
>>
>> Does anyone know why the below would have suddenly started failing a little 
>> while back?
>>
>> Thanks,
>> Ben
>
>
> Based on the error message I would expect this to be related to the effort to 
> fix Android pkgs not being generated for both 32bit and 64bit ARM.

I see. Do we have a timeline for this being fixed?

>
> Regards,
>
> - Johan

Cheers,
Ben


Re: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14 - Build # 10 - Still Failing!

2020-04-16 Thread Johan Ouwerkerk
On Thu, Apr 16, 2020 at 10:51 AM Ben Cooksley  wrote:

> Hi all,
>
> Does anyone know why the below would have suddenly started failing a
> little while back?
>
> Thanks,
> Ben
>

Based on the error message I would expect this to be related to the effort
to fix Android pkgs not being generated for both 32bit and 64bit ARM.

Regards,

- Johan


Fwd: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14 - Build # 10 - Still Failing!

2020-04-16 Thread Ben Cooksley
Hi all,

Does anyone know why the below would have suddenly started failing a little
while back?

Thanks,
Ben


-- Forwarded message -
From: CI System 
Date: Thu, Apr 16, 2020 at 6:59 AM
Subject: KDE CI: Administration » Dependency Build Extragear stable-kf5-qt5
AndroidQt5.14 - Build # 10 - Still Failing!
To: 


*BUILD FAILURE*
Build URL
https://build.kde.org/job/Administration/job/Dependency%20Build%20Extragear%20stable-kf5-qt5%20AndroidQt5.14/10/
Project: Dependency Build Extragear stable-kf5-qt5 AndroidQt5.14
Date of build: Wed, 15 Apr 2020 18:56:12 +
Build duration: 3 min 20 sec and counting
* CONSOLE OUTPUT *
[...truncated 14565 lines...]
[2020-04-15T18:59:30.261Z] -- You can export a target by specifying
-DQTANDROID_EXPORTED_TARGET= and -DANDROID_APK_DIR=
[2020-04-15T18:59:30.261Z] -- You can export a target by specifying
-DQTANDROID_EXPORTED_TARGET= and -DANDROID_APK_DIR=
[2020-04-15T18:59:30.261Z] -- Check for working C compiler:
/opt/android-ndk/toolchains/llvm/prebuilt/linux-x86_64/bin/clang
[2020-04-15T18:59:30.261Z] -- Check for working C compiler:
/opt/android-ndk/toolchains/llvm/prebuilt/linux-x86_64/bin/clang -- works
[2020-04-15T18:59:30.261Z] -- Detecting C compiler ABI info
[2020-04-15T18:59:30.261Z] -- Detecting C compiler ABI info - done
[2020-04-15T18:59:30.261Z] -- Detecting C compile features
[2020-04-15T18:59:30.261Z] -- Detecting C compile features - done
[2020-04-15T18:59:30.261Z] -- Check for working CXX compiler:
/opt/android-ndk/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++
[2020-04-15T18:59:30.261Z] -- Check for working CXX compiler:
/opt/android-ndk/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ -- works
[2020-04-15T18:59:30.261Z] -- Detecting CXX compiler ABI info
[2020-04-15T18:59:30.518Z] -- Detecting CXX compiler ABI info - done
[2020-04-15T18:59:30.518Z] -- Detecting CXX compile features
[2020-04-15T18:59:30.518Z] -- Detecting CXX compile features - done
[2020-04-15T18:59:30.518Z] --
[2020-04-15T18:59:30.518Z]
[2020-04-15T18:59:30.518Z] Installing in /home/user/install-prefix. Run
/home/user/workspace/Administration/Dependency Build Extragear
stable-kf5-qt5 AndroidQt5.14/prison/build/prefix.sh to set the environment
for prison.
[2020-04-15T18:59:30.518Z] -- Could not set up the appstream test.
appstreamcli is missing.
[2020-04-15T18:59:30.518Z] -- Looking for __GLIBC__
[2020-04-15T18:59:30.518Z] -- Looking for __GLIBC__ - not found
[2020-04-15T18:59:30.518Z] -- Performing Test _OFFT_IS_64BIT
[2020-04-15T18:59:30.518Z] -- Performing Test _OFFT_IS_64BIT - Failed
[2020-04-15T18:59:30.518Z] -- Performing Test HAVE_DATE_TIME
[2020-04-15T18:59:30.518Z] -- Performing Test HAVE_DATE_TIME - Success
[2020-04-15T18:59:30.518Z] -- Found QRencode:
/home/user/install-prefix/lib/libqrencode.a
[2020-04-15T18:59:30.518Z] -- Could NOT find Dmtx (missing: Dmtx_LIBRARIES
Dmtx_INCLUDE_DIRS)
[2020-04-15T18:59:30.518Z] -- Performing Test COMPILER_HAS_HIDDEN_VISIBILITY
[2020-04-15T18:59:30.777Z] -- Performing Test
COMPILER_HAS_HIDDEN_VISIBILITY - Success
[2020-04-15T18:59:30.777Z] -- Performing Test
COMPILER_HAS_HIDDEN_INLINE_VISIBILITY
[2020-04-15T18:59:30.777Z] -- Performing Test
COMPILER_HAS_HIDDEN_INLINE_VISIBILITY - Success
[2020-04-15T18:59:30.777Z] -- Performing Test COMPILER_HAS_DEPRECATED_ATTR
[2020-04-15T18:59:30.777Z] -- Performing Test COMPILER_HAS_DEPRECATED_ATTR
- Success
[2020-04-15T18:59:30.777Z] -- The following OPTIONAL packages have been
found:
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] * Qt5Network (required version >= 5.14.1)
[2020-04-15T18:59:30.777Z] * Qt5Qml (required version >= 5.14.1)
[2020-04-15T18:59:30.777Z] * Qt5QmlModels (required version >= 5.14.1)
[2020-04-15T18:59:30.777Z] * Qt5Quick
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] -- The following REQUIRED packages have been
found:
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] * ECM (required version >= 5.69.0), Extra CMake
Modules., <https://commits.kde.org/extra-cmake-modules>
[2020-04-15T18:59:30.777Z] * Qt5Core
[2020-04-15T18:59:30.777Z] * Qt5Gui
[2020-04-15T18:59:30.777Z] * QRencode, The QRencode library, <
https://fukuchi.org/works/qrencode/>
[2020-04-15T18:59:30.777Z] * Qt5Test
[2020-04-15T18:59:30.777Z] * Qt5Widgets
[2020-04-15T18:59:30.777Z] * Qt5 (required version >= 5.12.0)
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] -- The following features have been disabled:
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] * QCH, API documentation in QCH format (for e.g.
Qt Assistant, Qt Creator & KDevelop)
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] -- The following RECOMMENDED packages have not
been found:
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] * Dmtx, The Datamatrix library, <
https://github.com/dmtx/libdmtx>
[2020-04-15T18:59:30.777Z]
[2020-04-15T18:59:30.777Z] -- Configuring done
[2020-04-15T18:59:30.777Z] -- Generating done
[2020-04-15T18:59:30.777Z] CMake Warning:
[2020-04